Inhalte
Index 🔎︎

# Anweisung GoTo

Sorgt dafür, dass das Programm innerhalb einer Unterroutine (Sub) oder einer Funktion (Function) mit der Abarbeitung des Programmteils fortfährt, der durch eine Marke gekennzeichnet ist.

## Syntax:

siehe Parameter

## Parameter:

        Sub/Function
        Befehlsblock
         Marke1
        Marke2:
        Befehlsblock
        Exit Sub
        Marke1:
        Befehlsblock
        GoTo Marke2
        End Sub/Function

Mit der Anweisung GoTo teilen Sie LibreOffice Basic mit, dass die Programmausführung an einer anderen Stelle innerhalb der Prozedur fortgesetzt werden soll. Die Position muss durch ein Label (Sprungzielbezeichner) angezeigt werden. Um ein Label zu setzen, weisen Sie einen Namen zu und setzen einen Doppelpunkt (":") an sein Ende.

Bitte beachten Sie, dass Sie mit der Anweisung GoTo niemals aus einem Unterprogramm oder einer Funktion hinausspringen dürfen.

## Beispiel:

siehe Parameter